[arch-commits] Commit in mplayer/repos (3 files)

Hugo Doria hugo at archlinux.org
Fri May 22 11:28:45 EDT 2009


    Date: Friday, May 22, 2009 @ 11:28:45
  Author: hugo
Revision: 39887

Merged revisions 39886 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/mplayer/trunk

........
  r39886 | hugo | 2009-05-22 12:28:22 -0300 (Fri, 22 May 2009) | 2 lines
  
  upgpkg: mplayer 29318-1
      Updated to 29318. Fixing FS#14491 and FS#14788
........

Added:
  mplayer/repos/extra-i686/liba52_gcc_bug.patch
    (from rev 39886, mplayer/trunk/liba52_gcc_bug.patch)
Modified:
  mplayer/repos/extra-i686/	(properties)
  mplayer/repos/extra-i686/PKGBUILD

----------------------+
 PKGBUILD             |   11 +++++++----
 liba52_gcc_bug.patch |   10 ++++++++++
 2 files changed, 17 insertions(+), 4 deletions(-)


Property changes on: mplayer/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /mplayer/trunk:1-36907
   + /mplayer/trunk:1-39886

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-22 15:28:22 UTC (rev 39886)
+++ extra-i686/PKGBUILD	2009-05-22 15:28:45 UTC (rev 39887)
@@ -2,8 +2,8 @@
 # Maintainer: Hugo Doria <hugo at archlinux.org>
 
 pkgname=mplayer
-pkgver=29188
-pkgrel=2
+pkgver=29318
+pkgrel=1
 pkgdesc="A movie player for linux"
 arch=('i686' 'x86_64')
 depends=('libxxf86dga' 'libxv' 'libmad' 'giflib' 'cdparanoia'
@@ -14,13 +14,16 @@
 url="http://www.mplayerhq.hu/"
 makedepends=('unzip' 'live-media' 'libdca' 'mesa')
 backup=('etc/mplayer/codecs.conf' 'etc/mplayer/input.conf')
-source=(ftp://ftp.archlinux.org/other/mplayer/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('d9bb0b5eb1d8822a899c1e84d17b5995')
+source=(ftp://ftp.archlinux.org/other/${pkgname}/${pkgname}-${pkgver}.tar.bz2 liba52_gcc_bug.patch)
+md5sums=('149e22903a6d5145ac2736c18810e3cd' 'ac53c73dd6f69d91ab0ea0591df4a653')
 
 build() {
   # Custom CFLAGS break the mplayer build
   unset CFLAGS
 
+  # Needed to compile using gcc 4.4.0 
+  patch -p0 < ${srcdir}/liba52_gcc_bug.patch || return 1 
+
   cd ${srcdir}/${pkgname}
 
   ./configure --prefix=/usr --disable-gui --disable-arts --enable-x11 \

Copied: mplayer/repos/extra-i686/liba52_gcc_bug.patch (from rev 39886, mplayer/trunk/liba52_gcc_bug.patch)
===================================================================
--- extra-i686/liba52_gcc_bug.patch	                        (rev 0)
+++ extra-i686/liba52_gcc_bug.patch	2009-05-22 15:28:45 UTC (rev 39887)
@@ -0,0 +1,10 @@
+--- mplayer/configure.old	2009-04-16 12:02:10.000000000 +0200
++++ mplayer/configure	2009-05-22 15:23:38.000000000 +0200
+@@ -6410,6 +6410,7 @@
+ def_liba52='#undef CONFIG_LIBA52'
+ def_liba52_internal="#undef CONFIG_LIBA52_INTERNAL"
+ if test "$_liba52_internal" = yes ; then
++	test "$cc_vendor" = gnu && test "$cc_version" = 4.4.0 && CFLAGS=$(echo $CFLAGS|sed "s/ *-O4 */ -O2 /")
+   _liba52=yes
+   def_liba52_internal="#define CONFIG_LIBA52_INTERNAL 1"
+   _res_comment="internal"



More information about the arch-commits mailing list